Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: AMD Evergreen Gallium3D Officially Does GLSL 1.30

  1. #1
    Join Date
    Jan 2007
    Posts
    15,389

    Default AMD Evergreen Gallium3D Officially Does GLSL 1.30

    Phoronix: AMD Evergreen Gallium3D Officially Does GLSL 1.30

    The AMD Radeon HD 5000 "Evergreen" graphics cards, which at the hardware level is capable of OpenGL 4.2 / GLSL 4.20, is finally advertising GLSL 1.30 compliance by default with the Mesa Gallium3D "R600g" driver. GLSL 1.30 is the GL Shading Language revision introduced at the time of OpenGL 3.0...

    http://www.phoronix.com/vr.php?view=MTA5MDA

  2. #2
    Join Date
    Nov 2008
    Location
    Germany
    Posts
    5,411

    Default

    openGL3 for openGL4 cards and no openGL 3 for openGL3 cards.. LOL!!!!

    i just don't get it why no glsl 1.3 (openGL3) support for openGL3 cards? hs2000-hd4000 ?

  3. #3
    Join Date
    Oct 2011
    Location
    Toruń, Poland
    Posts
    160

    Default

    Quote Originally Posted by Qaridarium View Post
    openGL3 for openGL4 cards and no openGL 3 for openGL3 cards.. LOL!!!!

    i just don't get it why no glsl 1.3 (openGL3) support for openGL3 cards? hs2000-hd4000 ?
    The wait kills me, too. But such small team of developers can only do so much.

  4. #4
    Join Date
    May 2007
    Posts
    319

    Default

    The code is mostly all there, just didn't want to turn if on until someone has tested it.

    will probably get to that sometime soon

  5. #5
    Join Date
    Oct 2011
    Location
    Toruń, Poland
    Posts
    160

    Default

    Quote Originally Posted by airlied View Post
    The code is mostly all there, just didn't want to turn if on until someone has tested it.

    will probably get to that sometime soon
    No need to rush it! I prefer this way of development with thorough testing - FGLRX shows just how rushed software ends up. You all are doing great job there.

  6. #6
    Join Date
    Jan 2012
    Location
    Italy
    Posts
    52

    Default

    Quote Originally Posted by Qaridarium View Post
    openGL3 for openGL4 cards and no openGL 3 for openGL3 cards.. LOL!!!!

    i just don't get it why no glsl 1.3 (openGL3) support for openGL3 cards? hs2000-hd4000 ?
    r600: enable glsl 1.30 on r700

  7. #7
    Join Date
    Nov 2008
    Location
    Germany
    Posts
    5,411

    Default

    Quote Originally Posted by Nedanfor View Post
    i already use the R600_GLSL130=1 option but i get texture flickering in oilrush.

    this means r700 glsl1,3 code needs some bugfixing.

  8. #8
    Join Date
    Oct 2008
    Location
    Sweden
    Posts
    983

    Default

    You should probably file a bug about that.

  9. #9
    Join Date
    Jan 2009
    Posts
    629

    Default

    The article doesn't mention the most important thing: OpenGL 3.0 is advertised by default for Evergreen GPUs (if you enable floating-point textures, which some Linux distributions do).

  10. #10
    Join Date
    Aug 2009
    Posts
    2,264

    Default

    Quote Originally Posted by Hirager View Post
    No need to rush it! I prefer this way of development with thorough testing - FGLRX shows just how rushed software ends up. You all are doing great job there.
    Seconded.

    I'd rather have something that works.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •